<!--
    function checkCustomFormItemValue(id,errShow)
    {       
        var errMessage="输入错误，请检查";
        var isError=true;
        var objItem=document.getElementById(id);
        
        if(objItem!=null)
        {
            var eValue=objItem.getAttribute("errStr");
            var tmpNotNull=objItem.getAttribute("notNull");
            var notNull=true;
            if(tmpNotNull!=null && tmpNotNull=="false")
            {
                notNull=false;
            }
            if(eValue!=null && eValue!="")
            {
                errMessage=eValue;
            }
            
            var tValue=objItem.getAttribute("itemType");   
            if(tValue==null)
            {
                 errMessage="此表单项类型错误";
            }
            else
            {
                if(tValue=="SingleLineText" || tValue=="PassWordText")
                {
                    if(objItem.value=="")
                    {
                        if(notNull==true)
                        {
                            errMessage="不允许为空";
                        }
                        else
                        {
                            isError=false;
                        }
                    }
                    else
                    {       
                        var lValue=parseInt(objItem.getAttribute("maxLength"));
                        if(objItem.value.length<=lValue && objItem.value.length<255)
                        {
                            var vValue=objItem.getAttribute("regStr");
                            if(vValue=="")
                            {
                               isError=false;
                            }
                            else
                            {
                                var reg=new RegExp(vValue);
                                isError=!reg.test(objItem.value);
                            }
                        }
                    }
                }
                else if(tValue=="MultiLineText")
                {   
                    if(objItem.value=="")
                    {
                        if(notNull==true)
                        {
                            errMessage="不允许为空";
                        }
                        else
                        {
                            isError=false;
                        }
                    }
                    else
                    {
                        isError=false;
                    }
                }
                else if(tValue=="MultiLineHtml")
                {       
                    var editorId=objItem.getAttribute('editorId');
                    var htmlValue='';
                    if(editorId!=null)
                    {                        
                        htmlValue=eval(editorId + ".getData()");
                    }
                    
                    if(objItem.value=="" && htmlValue=='')
                    {
                        if(notNull==true)
                        {
                            alert(id);
                            errMessage="不允许为空";
                        }
                        else
                        {
                            isError=false;
                        }
                    }
                    else
                    {
                        isError=false;
                    }
                }
                else if(tValue=="UploadFile")
                {   
                    if(objItem.value=="")
                    {
                        if(notNull==true)
                        {
                            errMessage="必须选择文件";
                        }
                        else
                        {
                            isError=false;
                        }
                    }
                    else
                    {
                        var isArrow=false;
                        var extNames=new Array(".txt",".pdf",".doc",".xls",".docx", ".xlsx", ".jpg", ".gif", ".png", ".rar", ".zip");
                        errMessage="此文件类型不允许上传，只能上传文件类型txt，pdf，doc，xls，docx，xlsx，jpg，gif，png，rar，zip之中的文件";
                        for(var index=0;index<extNames.length;index++)
                        {
                            if(objItem.value!=extNames[index])
                            {
                                var eIndex=objItem.value.indexOf(extNames[index]);
                                if(eIndex!=-1 && eIndex + extNames[index].length==objItem.value.length)
                                {
                                    var image=new Image(); 
                                    image.src=objItem.value;    
                                    var vSize=objItem.getAttribute("fileSize");
                                    var size=2048; //2M
                                    if(vSize!=null)
                                    {
                                        size=parseInt(vSize);
                                        if(size<=0 || size>2048)
                                        {
                                            size=2048;
                                        }
                                    }                                   
                                    if(image.fileSize>size * 1024)
                                    {
                                        isArrow=false;
                                        errMessage="文件大小超过限制，只能上传不大于" + size + "KB的文件" 
                                    }
                                    else
                                    {
                                        isArrow=true;
                                    }
                                    break;
                                }
                            }
                        }                            
                        isError=!isArrow;
                    }
                }
                else if(tValue=="DateTime")
                {   
                    if(objItem.value=="")
                    {
                        if(notNull==true)
                        {
                            errMessage="不允许为空";
                        }
                        else
                        {
                            isError=false;
                        }
                    }
                    else
                    {
                        var regStr=/^((\d{2}(([02468][048])|([13579][26]))[\-\/\s]((((0?[13578])|(1[02]))[\-\/\s]((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\-\/\s]((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\-\/\s]((0?[1-9])|([1-2][0-9])))))|(\d{2}(([02468][1235679])|([13579][01345789]))[\-\/\s]((((0?[13578])|(1[02]))[\-\/\s]((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\-\/\s]((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\-\/\s]((0?[1-9])|(1[0-9])|(2[0-8]))))))(\s(((0?[0-9])|(2[0-3])|(1[0-9]))\:([0-5]?[0-9])((\s)|(\:([0-5]?[0-9])))?))?$/;
                        isError=!regStr.test(objItem.value);
                        errMessage="日期时间格式错误";
                    }
                }
                else if(tValue=="Numberic")
                {
                    if(objItem.value=="")
                    {
                        if(notNull==true)
                        {
                            errMessage="不允许为空";
                        }
                        else
                        {
                            isError=false;
                        }
                    }
                    else
                    {
                        var tmpMin=objItem.getAttribute("minValue");
                        var tmpMax=objItem.getAttribute("maxValue");
                        var tmpPoint=objItem.getAttribute("point");
                        var itemValue=parseFloat(objItem.value);
                        var minValue=0;
                        var maxValue=2147483647;
                        if(tmpMin!=null && tmpMin!="")
                        {
                            var minValue2=parseInt(tmpMin);
                            if(minValue2>minValue && minValue2<=maxValue)
                            {
                                minValue=minValue2;
                            }
                        }
                        if(tmpMax!=null && tmpMax.value!="")
                        {
                            
                            var maxValue2=parseInt(tmpMax);
                            if(maxValue2<maxValue && maxValue2>=minValue)
                            {
                                maxValue=maxValue2;
                            }
                        }
                        if(minValue>maxValue)
                        {
                            errMessage="此表单项数值范围定义错误";
                        }
                        else
                        {
                            errMessage="数值范围必须在" + minValue + "至" + maxValue + "之间";
                            if(itemValue>=minValue && itemValue<=maxValue)
                            {
                                var pValue=0;
                                if(tmpPoint!=null && tmpPoint!="")
                                {
                                    pValue=parseInt(tmpPoint);
                                }
                                var regStr="^(0|([1-9][0-9]*))";
                                if(pValue>0)
                                {
                                    regStr=regStr + "(.[0-9]{" + pValue + "})?$";
                                    errMessage=errMessage + "，且小数位数必须小于等于" + pValue;
                                }
                                else if(pValue==-1)
                                {
                                    regStr=regStr + "(.[0-9]{0,4})?$";
                                    errMessage=errMessage + "，且小数位数必须小于等于4";
                                }
                                else
                                {
                                    regStr=regStr + "$";
                                    errMessage=errMessage + "，且不能带小数";
                                }
                                var reg=new RegExp(regStr);
                                isError= !reg.test(objItem.value);
                            }
                        }
                    }
                }
                else if(tValue=="RadioBox")
                {
                    var objs=document.getElementsByName(objItem.name);
                    var selTimes=0;
                    if(objs!=null && objs.length>0)
                    {
                        for(var index=0;index<objs.length;index++)
                        {
                            if(objs[index].checked==true)
                            {
                                selTimes++;
                            }
                        }
                    }
                    if(selTimes==1 || (selTimes==0 && notNull==false))
                    {
                        isError=false;
                    }
                    else
                    {
                        errMessage="必须选择一个选项";
                    }
                }   
                else if(tValue=="CheckBox" )
                {
                    var objs=document.getElementsByName(objItem.name);
                    var selTimes=0;
                    if(objs!=null && objs.length>0)
                    {
                        for(var index=0;index<objs.length;index++)
                        {
                            if(objs[index].checked==true)
                            {
                                selTimes++;
                            }
                        }
                    }
                    if(selTimes>0 || (selTimes==0 && notNull==false))
                    {
                        isError=false;
                    }
                    else
                    {
                        errMessage="至少需要选择一个选项";
                    }
                }
                else if(tValue=="DropDownList")
                {
                    var selTimes=0;
                    if(objItem.options.length>0)
                    {
                        for(var index=0;index<objItem.options.length;index++)
                        {
                            if(objItem.options[index].selected==true)
                            {
                                selTimes++;
                            }
                        }
                    }
                    if(selTimes==1 || (selTimes==0 && notNull==false))
                    {
                        isError=false;
                    }
                    else
                    {
                        errMessage="必须选择一个选项";
                    }
                }   
                else if(tValue=="ListBox")
                {
                    var selTimes=0;
                    if(objItem.options.length>0)
                    {
                        for(var index=0;index<objItem.options.length;index++)
                        {
                            if(objItem.options[index].selected==true)
                            {
                                selTimes++;
                            }
                        }
                    }
                    if(selTimes>0 || (selTimes==0 && notNull==false))
                    {
                        isError=false;
                    }
                    else
                    {
                        errMessage="至少需要选择一个选项";
                    }
                }   
                else if(tValue=="CheckCode")
                {
                    var regStr=/^[0-9]{4}$/;
                    isError= !regStr.test(objItem.value);
                    if(isError==true)
                    {
                        errMessage="验证码必须为4位数字";
                    }
                }
            }

            var errId=objItem.getAttribute("msgLabelId");    
            
            if(errId!=null && errId!="")
            {
                var objErr=document.getElementById(errId);
                
                if(objErr!=null)
                {
                    if(isError==true)
                    {
                        objErr.style.display="";
                        objErr.innerHTML=" " + errMessage;
                    }
                    else
                    {
                        objErr.style.display="none";
                    }
                }
            }
        }
        
        return !isError;
    }
    
    
    //自定义表单提交前验证
    function checkCustomFormItemAllValues()
    {
        
        //检查所有自定义表单的控件
        var isSuccessed=true;
        var tmpSuccessedValue=true;
        var controls = document.getElementsByTagName('input');
        for(var index=0; index<controls.length; index++)
        {
            if(controls[index].getAttribute("itemType")!=null)
            {
                tmpSuccessedValue=checkCustomFormItemValue(controls[index].id,false);
                if(tmpSuccessedValue==false && isSuccessed==true)
                {
                    isSuccessed =false;
                }
            }
        }
        
        controls = document.getElementsByTagName('textarea');
        for(var index=0; index<controls.length; index++)
        {
            if(controls[index].getAttribute("itemType")!=null)
            {                
                tmpSuccessedValue=checkCustomFormItemValue(controls[index].id,false);
                if(tmpSuccessedValue==false && isSuccessed==true)
                {
                    isSuccessed =false;
                }
            }
        }
        
        controls = document.getElementsByTagName('select');
        for(var index=0; index<controls.length; index++)
        {
            if(controls[index].getAttribute("itemType")!=null)
            {
                tmpSuccessedValue=checkCustomFormItemValue(controls[index].id,false);
                if(tmpSuccessedValue==false && isSuccessed==true)
                {
                    isSuccessed =false;
                }
            }
        }         
        return isSuccessed;
    }
    
-->
